Subject: Re: VA mortgage-rates have dropped, act before rate go up - 16798293

From: VA Mrtg. Qualify <[email-masked]>
Date: Wed, 13 May 2015 08:10:39 -0700

VA mortgage rates have dropped, act before rate go up: http://view.aayya.us